boost::geometry::resolve_variant::covered_by< Geometry1, boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Strategy > Struct Template Reference

List of all members.

## Public Member Functions

template<typename Geometry2 >
bool | operator() (Geometry2 const &geometry2) const
| visitor (Geometry1 const &geometry1, Strategy const &strategy)

## Public Attributes

Geometry1 const & | m_geometry1
Strategy const & | m_strategy

### template<typename Geometry1, BOOST_VARIANT_ENUM_PARAMS(typename T)>
template<typename Strategy>
struct boost::geometry::resolve_variant::covered_by< Geometry1, boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Strategy >

## Constructor & Destructor Documentation

template<typename Geometry1 , BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename Strategy >

boost::geometry::resolve_variant::covered_by< Geometry1, boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Strategy >::visitor | ( | Geometry1 const & | geometry1,
|  | Strategy const & | strategy
| ) |  |

## Member Function Documentation

template<typename Geometry1 , BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename Strategy >
template<typename Geometry2 >

bool boost::geometry::resolve_variant::covered_by< Geometry1, boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Strategy >::operator() | ( | Geometry2 const & | geometry2 | ) | const

## Member Data Documentation

template<typename Geometry1 , BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename Strategy >

Geometry1 const& boost::geometry::resolve_variant::covered_by< Geometry1, boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Strategy >::m_geometry1

template<typename Geometry1 , BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename Strategy >

Strategy const& boost::geometry::resolve_variant::covered_by< Geometry1, boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Strategy >::m_strategy

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK